#ifndef PROJECT_TREE_H
#define PROJECT_TREE_H

#include <QTreeWidget>
#include "ui_project_tree.h"
#include "session_manager.h"
#include "serverscriptedit.h"
#include "serverdesigner_core.h"


class ProjectTree: public QWidget, protected Ui::ProjectTree {
	Q_OBJECT
public:
	explicit ProjectTree(QWidget * parent = 0);
	~ProjectTree();

private:
	virtual bool eventFilter(QObject * o, QEvent * e);

	QIcon icon_ui, icon_dat, icon_var, icon_cm, icon_qs, icon_res, icon_file, icon_dir;

public slots:
	void setCurrentFile(const QString & path);

private slots:
	void on_actionAdd_files_triggered();
	void on_actionAdd_directory_triggered();
	void on_actionRemove_from_project_triggered();
	void on_actionAssign_file_triggered();
	void on_actionNew_form_triggered();
	void on_actionSet_as_main_triggered();
	void on_actionIncludeScript_triggered();
	void on_actionEdit_form_triggered();
	void on_treeProject_itemDoubleClicked(QTreeWidgetItem *item, int col);
	void projectChanged();

};


#endif // PROJECT_TREE_H
